// #![no_std]
#![feature(
    fn_align,
    cold_path,
    stmt_expr_attributes,
    debug_closure_helpers,
    unsafe_cell_access,
    box_as_ptr,
    box_vec_non_null,
    strict_provenance_atomic_ptr,
    btree_extract_if,
    likely_unlikely,
    let_chains
)]

extern crate alloc;

mod channel;
mod context;
mod heartbeat;
mod job;
mod join;
mod latch;
#[cfg(feature = "metrics")]
mod metrics;
mod queue;
mod scope;
mod threadpool;
pub mod util;
mod workerthread;

pub use context::run_in_worker;
pub use join::join;
pub use scope::{Scope, scope};
pub use threadpool::ThreadPool;
pub use workerthread::WorkerThread;
